From 93886bc77667952afa306863c766cad00821074e Mon Sep 17 00:00:00 2001
From: Nicolas Thill <nico@openwrt.org>
Date: Mon, 7 Nov 2011 22:58:34 +0000
Subject: package/base-files: use new service wrapper

SVN-Revision: 28835
---
 package/base-files/files/etc/init.d/watchdog | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

(limited to 'package/base-files/files/etc/init.d/watchdog')

diff --git a/package/base-files/files/etc/init.d/watchdog b/package/base-files/files/etc/init.d/watchdog
index 65a45e5..299c891 100755
--- a/package/base-files/files/etc/init.d/watchdog
+++ b/package/base-files/files/etc/init.d/watchdog
@@ -1,12 +1,13 @@
 #!/bin/sh /etc/rc.common
-# Copyright (C) 2008-2010 OpenWrt.org
+# Copyright (C) 2008-2011 OpenWrt.org
 
 START=97
+
 start() {
-        [ -c /dev/watchdog ] && [ -x /sbin/watchdog ] && \
-        	watchdog -t 5 /dev/watchdog
+	[ -c /dev/watchdog ] || return 1
+	[ -x /sbin/watchdog ] || return 1
+	service_start /sbin/watchdog -t 5 /dev/watchdog
 }
-
 stop() {
-	killall -q watchdog
+	service_stop /sbin/watchdog
 }
-- 
cgit v1.1